<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Journal Woorksheet</title>
</head>
<body>
<main layout:fragment="main" class="container-xxl bd-gutter mt-3 my-md-4 bd-layout">
    <div th:include="sidebar/sidebar_journal::sidebar_journal" th:remove="tag">
        sidebar
    </div>
    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="card shadow-lg">
                    <div class="card-header">
                        <h5>Journal Woorksheet</h5>
                    </div>
                    <div class="card-body">
                        <form method="get">
                            <div class="row mb-2">
                                <div class="col-md-4">
                                    <div class="form-group mb-2">
                                        <label>Account</label>
                                        <select name="account" id="select-account" class="form-select">
                                            <option value="">-- Pilih Account --</option>
                                            <option th:each="data, row:${accountList}"
                                                    th:value="${data.id}"
                                                    th:selected="${data == account}"
                                                    th:text="${data.code + ' - ' + data.name}"></option>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group mb-2">
                                        <label>Start Date</label>
                                        <input type="date" class="form-control" name="startDate" th:value="${startDate}">
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group mb-2">
                                        <label>End Date</label>
                                        <input type="date" class="form-control" name="endDate" th:value="${endDate}">
                                    </div>
                                </div>
                            </div>
                            <div class="row mb-2">
                                <div class="form-group mb-2 text-center">
                                    <button class="btn btn-primary">Search</button>
                                </div>
                            </div>
                        </form>
                        <div th:if="${account != null}">
<!--                            <div class="row mb-3">-->
<!--                                <div class="col-md-4">-->
<!--                                    <div class="card shadow-sm">-->
<!--                                        <div class="card-body">-->
<!--                                            <h6>Current Amount <span th:text="${'('+ #temporals.format(dateYesterday, 'dd MMMM yyyy') + ')'}"></span></h6>-->
<!--                                            <h5 class="text-success">-->
<!--                                                <span th:if="${currentBalance != null}"-->
<!--                                                      th:text="${'Rp. ' + #numbers.formatDecimal(currentBalance.getStartAmount(),  0, 'POINT', 2, 'COMMA')}"></span>-->
<!--                                                <span th:if="${currentBalance.getStartAmount() == null}">0</span>-->
<!--                                                <span th:if="${currentBalance == null}">0</span>-->
<!--                                            </h5>-->
<!--                                        </div>-->
<!--                                    </div>-->
<!--                                </div>-->
<!--                            </div>-->
                            <div class="row mb-2">
                                <div class="col-md-12 text-end">
                                    <a th:href="@{/download/woorksheet(account = ${account.id}, startDate = ${startDate}, endDate = ${endDate})}" class="btn btn-outline-success">Download</a>
                                </div>
                            </div>
                            <div class="row mb-2">
                                <div class="col-md-12">
                                    <div class="card shadow-sm">
                                        <div class="card-body">
                                            <div class="table-responsive">
                                                <table class="table table-bordered table-striped">
                                                    <thead>
                                                    <tr>
                                                        <th>Date</th>
                                                        <th>description</th>
                                                        <th>Account</th>
                                                        <th>Debet</th>
                                                        <th>Credit</th>
                                                    </tr>
                                                    </thead>
                                                    <tbody>
                                                    <tr th:each="data, row:${journalDetailList}">
                                                        <td th:text="${#temporals.format(data.getDate(), 'dd MMMM yyyy')}"></td>
                                                        <td th:text="${data.getDescription()}"></td>
                                                        <td th:text="${data.getCode() + ' - '+ data.getName()}"></td>
                                                        <td style="width: 145px;">
                                                            <span th:if="${data.getBalance() == 'DEBET'}" th:text="${#numbers.formatDecimal(data.getAmount(), 0, 'POINT', 2, 'COMMA')}"></span>
                                                        </td>
                                                        <td style="width: 145px;">
                                                            <span th:if="${data.getBalance() == 'CREDIT'}" th:text="${#numbers.formatDecimal(data.amount, 0, 'POINT', 2, 'COMMA')}"></span>
                                                        </td>
                                                    </tr>
                                                    </tbody>
                                                    <tfoot>
                                                    <tr>
                                                        <th colspan="3">Total</th>
                                                        <th th:text="${#numbers.formatDecimal(debet, 0, 'POINT', 2, 'COMMA')}"></th>
                                                        <th th:text="${#numbers.formatDecimal(credit, 0, 'POINT', 2, 'COMMA')}"></th>
                                                    </tr>
                                                    </tfoot>
                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </main>
</main>
<div layout:fragment="footer" class="script">
    <script>
        $('#select-account').select2({
            theme: 'bootstrap-5',
            placeholder: '- Select Account -'
        });
    </script>
</div>
</body>
</html>